Solid Edge FrameworkSupport Type Library
AddSegmentedStyle Method
Double that specify the coordinates for the start of the segment.
Double that specify the coordinates for the start of the segment.
Double that specify the coordinates for the end of the segment.
Double that specify the coordinates for the end of the segment.
Specifies the LinearStyle2d object to assign to the segment.
Description
Defines a segment on a graphic object and assigns a linear style to that segment.
Syntax
Visual Basic
Public Sub AddSegmentedStyle( _
   ByVal x1 As Double, _
   ByVal y1 As Double, _
   ByVal x2 As Double, _
   ByVal y2 As Double, _
   ByVal Style As Object _
) 
Parameters
x1
Double that specify the coordinates for the start of the segment.
y1
Double that specify the coordinates for the start of the segment.
x2
Double that specify the coordinates for the end of the segment.
y2
Double that specify the coordinates for the end of the segment.
Style
Specifies the LinearStyle2d object to assign to the segment.
Remarks
To define the segment, this method accepts two points that specify the start and end of the segment. If a linear style does not exist for the formatting required for the segment, create the linear style through the LinearStyles collection object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objEllipses2d As SolidEdgeFrameworkSupport.Ellipses2d
    Dim objEllipse2d As SolidEdgeFrameworkSupport.Ellipse2d
    Dim objLinearStyles As SolidEdgeFrameWork.LinearStyles
    Dim objLinearStyle As SolidEdgeFrameWork.LinearStyle
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'getting the Ellipses2d object
    Set objEllipses2d = objSheet.Ellipses2d
    'Create an Ellispse2d in Clockwise orientation
    Set objEllipse2d = objEllipses2d.AddByCenter(xCenter:=0.3, yCenter:=0.25, _
                                                 xMajor:=0.1, yMajor:=0, Ratio:=0.5, Orientation:=igGeom2dOrientClockwise)
    'Get the LinearStyles object
    Set objLinearStyles = objDoc.LinearStyles
    'Add new LinearStyle to the collection
    Set objLinearStyle = objLinearStyles.Add(Name:="LinearStyle1", Parent:="Visible")
    'set the color to blue
    objLinearStyle.Color = vbBlue
    'create a segement with LinearStyle1
    Call objEllipse2d.AddSegmentedStyle(x1:=0.25, y1:=0.25, x2:=0.3, y2:=0.3, Style:=objLinearStyle)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objEllipses2d = Nothing
    Set objEllipse2d = Nothing
    Set objLinearStyles = Nothing
    Set objLinearStyle = Nothing
End Sub
See Also

Ellipse2d Object  | Ellipse2d Members